#!/bin/sh

set -e
. ./.common.sh

if [ ! -d $DAHDI/tools ]; then
    echo "You must build driver first !"
    echo "Type ./build.sh"
    exit 1
fi

cd $DAHDIDIR/tools
if [ ! -f ./configure ]; then
# configure is missing in DAHDI 3.0.0. Generate it.
    echo "No configure found. Generating..."
    autoreconf -i
fi
./configure --with-dahdi=../linux
make

cd "$BASEDIR/dahdi_tdmox/patches/dahdi-2.10.0"
bash ./patch.sh "$BASEDIR/dahdi-linux-complete/tools/xpp/perl_modules/Dahdi/"

echo "#################################################################"
echo "### You have built DAHDI tools."
echo "### "
echo "### You can run(test) DAHDI without installation."
echo "### See 'demo' directory for the samples."
echo "### "
echo "### To install DAHDI modules, type ./install.sh ."
echo "### Make sure you have removed DAHDI modules from /lib/modules/`uname -r`"
echo "#################################################################"
